Subject: Re: linux-next: Tree for Jul 20 (kernel/bpf/net_namespace)

From: Stephen Rothwell <[email-masked]>
Date: Tue, 21 Jul 2020 04:49:02 +1000

Hi all,

On Mon, 20 Jul 2020 08:51:54 -0700 Randy Dunlap <[email-masked]> wrote:
>
> on i386 or x86_64:
> 
> # CONFIG_INET is not set
> # CONFIG_NET_NS is not set
> 
> ld: kernel/bpf/net_namespace.o: in function `bpf_netns_link_release':
> net_namespace.c:(.text+0x32c): undefined reference to `bpf_sk_lookup_enabled'
> ld: kernel/bpf/net_namespace.o: in function `netns_bpf_link_create':
> net_namespace.c:(.text+0x8b7): undefined reference to `bpf_sk_lookup_enabled'
> ld: kernel/bpf/net_namespace.o: in function `netns_bpf_pernet_pre_exit':
> net_namespace.c:(.ref.text+0xa3): undefined reference to `bpf_sk_lookup_enabled'

Caused by commit

  1559b4aa1db4 ("inet: Run SK_LOOKUP BPF program on socket lookup")

from the bpf-next tree.

-- 
Cheers,
Stephen Rothwell